import java.util.Calendar;

import quadbase.reportdesigner.util.IExportConstants;
import quadbase.reportorganizer.organizerAPI.QbOrganizer;
import quadbase.reportorganizer.organizerAPI.QbScheduleObject;
import quadbase.reportorganizer.organizerAPI.QbSchedulePackage;

public class SchedulingExportReportEmailERES {

	// set following constants, your ERES server must be runnning!
	static final String ServletRunner = "http://localhost:8080";
	static final String ServletContext = "ERES/servlet";

	public static void main(String[] args) {
		SchedulingExportReportEmailERES doScheduleExport = new SchedulingExportReportEmailERES();
		try {
			doScheduleExport.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		QbOrganizer.setServletContext(ServletContext);
		QbOrganizer.setServletRunner(ServletRunner);
		QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");

		QbSchedulePackage sPack = new QbSchedulePackage("Report_Email", organizer);
		sPack.setReportExportType(IExportConstants.DHTML);
		sPack.setTaskOption(QbSchedulePackage.ONE_TIME);
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 10);
		sPack.setStartDate(calendar.getTimeInMillis());
		sPack.setSendEmail(true);
		sPack.setFromAddress("user1@quadbase.com");
		sPack.setSubject("Report Email Account Report");
		sPack.setBodyText("Scheduled Export of Account from user1");
		sPack.setEmailType(QbSchedulePackage.ASATTACHMENT);

		QbScheduleObject sObj = new QbScheduleObject("report1",
				QbScheduleObject.TEMPLATE_TYPE_REPORT, sPack);
		sObj.setFileLocation("Account.rpt");
		String exportLocation = sObj.pickDefaultExportLocation();
		sObj.setToAddresses(new String[] { "user2@quadbase.com",
				"user3@quadbase.com" });

		organizer.getScheduler().addSchedulePackageTask(sPack);
	}
}
